Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws.domain
Class HandlerChain

    java.lang.Object
      be.ehealth.technicalconnector.ws.domain.HandlerChain

    public class HandlerChain

extends Object

Class used for programatically manipulating the HandlerChain of a `GenericRequest`

There are 2 handlerchains available:

- before execting the security
- after executing the security Note:When registering a `SOAPHandler` to a certain chain the FIFO (first in first out) principle is applied.

  Constructor Summary
  `HandlerChain()`

  Method Summary
  `HandlerChain` | `add(HandlerChain handlers)`
  `Handler<?>[]` | `getHandlers()`
  `List<Handler<?>>` | `getHandlers(HandlerPosition position)`
  `HandlerChain` | `register(HandlerPosition position, SOAPHandler<?> handler)` Method to register a `SOAPHandler` within a certain Position
  `HandlerChain` | `registerHandler(HandlerPosition position, SOAPHandler<?> handler)` Deprecated. please use register
  `HandlerChain` | `unregisterHandler(HandlerPosition position, SOAPHandler<?> handler)`

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### HandlerChain

      public HandlerChain()

  Method Detail

  ### registerHandler

      @Deprecated
      public HandlerChain registerHandler(HandlerPosition position,
                                                     SOAPHandler<?> handler)

    Deprecated. please use register

    Method to register a `SOAPHandler` within a certain

  ### register

      public HandlerChain register(HandlerPosition position,
                                   SOAPHandler<?> handler)

    Method to register a `SOAPHandler` within a certain Position

  ### unregisterHandler

      public HandlerChain unregisterHandler(HandlerPosition position,
                                            SOAPHandler<?> handler)

  ### add

      public HandlerChain add(HandlerChain handlers)

  ### getHandlers

      public List<Handler<?>> getHandlers(HandlerPosition position)

  ### getHandlers

      public Handler<?>[] getHandlers()

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Connector Packaging PERSPRACTICALNURSE 3.28.5 API
  Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.